twitter4j.api

## Interface TimelinesResourcesAsync

All Known Subinterfaces:
  AsyncTwitter

    public interface TimelinesResourcesAsync

Author:
  Joern Huxhorn - jhuxhorn at googlemail.com

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `getHomeTimeline()` Returns the 20 most recent statuses, including retweets, posted by the authenticating user and that user's friends.
`void` `getHomeTimeline(Paging paging)` Returns the 20 most recent statuses, including retweets, posted by the authenticating user and that user's friends.
`void` `getMentions()` Returns the 20 most recent replies (status updates prefixed with @username) to the authenticating user.
`void` `getMentions(Paging paging)` Returns the 20 most recent replies (status updates prefixed with @username) to the authenticating user.
`void` `getRetweetsOfMe()` Returns the 20 most recent tweets of the authenticated user that have been retweeted by others.
`void` `getRetweetsOfMe(Paging paging)` Returns the 20 most recent tweets of the authenticated user that have been retweeted by others.
`void` `getUserTimeline()` Returns the 20 most recent statuses posted from the authenticating user.
`void` `getUserTimeline(long userId)` Returns the 20 most recent statuses posted from the authenticating user.
`void` `getUserTimeline(long userId, Paging paging)` Returns the 20 most recent statuses posted from the authenticating user.
`void` `getUserTimeline(Paging paging)` Returns the 20 most recent statuses posted from the authenticating user.
`void` `getUserTimeline(String screenName)` Returns the 20 most recent statuses posted from the authenticating user.
`void` `getUserTimeline(String screenName, Paging paging)` Returns the 20 most recent statuses posted from the authenticating user.

### Method Detail

#### getMentions

    void getMentions()

Returns the 20 most recent replies (status updates prefixed with @username) to the authenticating user. Replies are only available to the authenticating user; you can not request a list of replies to another user whether public or protected.
This method calls https://api.twitter.com/1.1/statuses/mentions

Since:
  Twitter4J 2.0.1
See Also:
  GET statuses/mentions | Twitter Developers

#### getMentions

    void getMentions(Paging paging)

Returns the 20 most recent replies (status updates prefixed with @username) to the authenticating user. Replies are only available to the authenticating user; you can not request a list of replies to another user whether public or protected.
This method calls https://api.twitter.com/1.1/statuses/mentions

Parameters:
  `paging` - controls pagination
Since:
  Twitter4J 2.0.1
See Also:
  GET statuses/mentions | Twitter Developers

#### getUserTimeline

    void getUserTimeline(String screenName,
                         Paging paging)

Returns the 20 most recent statuses posted from the authenticating user. It's also possible to request another user's timeline via the id parameter.
This is the equivalent of the Web / page for your own user, or the profile page for a third party.
For backwards compatibility reasons, retweets are stripped out of the user_timeline when calling in XML or JSON (they appear with 'RT' in RSS and Atom). If you'd like them included, you can merge them in from statuses retweeted_by_me.
This method calls https://api.twitter.com/1.1/statuses/user_timeline

Parameters:
  `screenName` - Specifies the screen name of the user for whom to return the user_timeline.
  `paging` - controls pagination
Since:
  Twitter4J 2.0.1
See Also:
  GET statuses/user_timeline | Twitter Developers

#### getUserTimeline

    void getUserTimeline(long userId,
                         Paging paging)

Returns the 20 most recent statuses posted from the authenticating user. It's also possible to request another user's timeline via the id parameter.
This is the equivalent of the Web / page for your own user, or the profile page for a third party.
For backwards compatibility reasons, retweets are stripped out of the user_timeline when calling in XML or JSON (they appear with 'RT' in RSS and Atom). If you'd like them included, you can merge them in from statuses retweeted_by_me.
This method calls https://api.twitter.com/1.1/statuses/user_timeline

Parameters:
  `userId` - Specifies the ID of the user for whom to return the user_timeline.
  `paging` - controls pagination
Since:
  Twitter4J 2.1.0
See Also:
  GET statuses/user_timeline | Twitter Developers

#### getUserTimeline

    void getUserTimeline(Paging paging)

Returns the 20 most recent statuses posted from the authenticating user. It's also possible to request another user's timeline via the id parameter.
This is the equivalent of the Web / page for your own user, or the profile page for a third party.
For backwards compatibility reasons, retweets are stripped out of the user_timeline when calling in XML or JSON (they appear with 'RT' in RSS and Atom). If you'd like them included, you can merge them in from statuses retweeted_by_me.
This method calls https://api.twitter.com/1.1/statuses/user_timeline

Parameters:
  `paging` - controls pagination
Since:
  Twitter4J 2.0.1
See Also:
  GET statuses/user_timeline | Twitter Developers

#### getUserTimeline

    void getUserTimeline(String screenName)

Returns the 20 most recent statuses posted from the authenticating user. It's also possible to request another user's timeline via the id parameter.
This is the equivalent of the Web / page for your own user, or the profile page for a third party.
For backwards compatibility reasons, retweets are stripped out of the user_timeline when calling in XML or JSON (they appear with 'RT' in RSS and Atom). If you'd like them included, you can merge them in from statuses retweeted_by_me.
This method calls https://api.twitter.com/1.1/statuses/user_timeline

Parameters:
  `screenName` - Specifies the screen name of the user for whom to return the user_timeline.
See Also:
  GET statuses/user_timeline | Twitter Developers

#### getUserTimeline

    void getUserTimeline(long userId)

Returns the 20 most recent statuses posted from the authenticating user. It's also possible to request another user's timeline via the id parameter.
This is the equivalent of the Web / page for your own user, or the profile page for a third party.
For backwards compatibility reasons, retweets are stripped out of the user_timeline when calling in XML or JSON (they appear with 'RT' in RSS and Atom). If you'd like them included, you can merge them in from statuses retweeted_by_me.
This method calls https://api.twitter.com/1.1/statuses/user_timeline

Parameters:
  `userId` - Specifies the ID of the user for whom to return the user_timeline.
Since:
  Twitter4J 2.1.0
See Also:
  GET statuses/user_timeline | Twitter Developers

#### getUserTimeline

    void getUserTimeline()

Returns the 20 most recent statuses posted from the authenticating user. It's also possible to request another user's timeline via the id parameter.
This is the equivalent of the Web / page for your own user, or the profile page for a third party.
For backwards compatibility reasons, retweets are stripped out of the user_timeline when calling in XML or JSON (they appear with 'RT' in RSS and Atom). If you'd like them included, you can merge them in from statuses retweeted_by_me.
This method calls https://api.twitter.com/1.1/statuses/user_timeline

See Also:
  GET statuses/user_timeline | Twitter Developers

#### getHomeTimeline

    void getHomeTimeline()

Returns the 20 most recent statuses, including retweets, posted by the authenticating user and that user's friends. This is the equivalent of /timeline/home on the Web.
Usage note: This home_timeline call is identical to statuses/friends_timeline, except that home_timeline also contains retweets, while statuses/friends_timeline does not for backwards compatibility reasons. In a future version of the API, statuses/friends_timeline will be deprected and replaced by home_timeline.
This method calls https://api.twitter.com/1.1/statuses/home_timeline

Since:
  Twitter4J 2.0.10
See Also:
  GET statuses/home_timeline | Twitter Developers

#### getHomeTimeline

    void getHomeTimeline(Paging paging)

Returns the 20 most recent statuses, including retweets, posted by the authenticating user and that user's friends. This is the equivalent of /timeline/home on the Web.
Usage note: This home_timeline call is identical to statuses/friends_timeline, except that home_timeline also contains retweets, while statuses/friends_timeline does not for backwards compatibility reasons. In a future version of the API, statuses/friends_timeline will be deprected and replaced by home_timeline.
This method calls https://api.twitter.com/1.1/statuses/home_timeline

Parameters:
  `paging` - controls pagination
Since:
  Twitter4J 2.0.10
See Also:
  GET statuses/home_timeline | Twitter Developers

#### getRetweetsOfMe

    void getRetweetsOfMe()

Returns the 20 most recent tweets of the authenticated user that have been retweeted by others.
This method calls https://api.twitter.com/1.1/statuses/retweets_of_me.json

Since:
  Twitter4J 2.0.10
See Also:
  GET statuses/retweets_of_me | Twitter Developers

#### getRetweetsOfMe

    void getRetweetsOfMe(Paging paging)

Returns the 20 most recent tweets of the authenticated user that have been retweeted by others.
This method calls https://api.twitter.com/1.1/statuses/retweets_of_me.json

Parameters:
  `paging` - controls pagination. Supports since_id, max_id, count and page parameters.
Since:
  Twitter4J 2.0.10
See Also:
  GET statuses/retweets_of_me | Twitter Developers